Get client configuration
curl --request GET \
--url https://api.diversion.dev/v0/auth/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/auth/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/auth/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cache_url": "<string>",
"update_url": "<string>",
"sentry_dsn_agent": "https://key1@sentry.io/project1",
"sentry_dsn_cli": "https://key2@sentry.io/project2",
"sentry_dsn_desktop": "https://key3@sentry.io/project3",
"sentry_dsn_webapp": "https://key4@sentry.io/project4"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Authentication
Get client configuration
Get configuration for the authenticated client including optional cache and update URLs
GET
/
auth
/
config
Get client configuration
Authorizations
This API uses OAuth 2 with the implicit grant flow
Response
Configuration retrieved successfully
Response containing client configuration information
Optional URL for cache service configuration
Optional URL for update service configuration
Sentry DSN URL for agent client error tracking
Example:
"https://key1@sentry.io/project1"
Sentry DSN URL for CLI client error tracking
Example:
"https://key2@sentry.io/project2"
Sentry DSN URL for desktop app client error tracking
Example:
"https://key3@sentry.io/project3"
Sentry DSN URL for web app client error tracking
Example:
"https://key4@sentry.io/project4"

